Update Template
curl --request PUT \
--url https://api.example.com/task-templates/{template_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"base_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"instruction": "<string>",
"assignee": "<string>",
"context": {
"entities": [],
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_directory": "<string>",
"workspace_ref": "<string>",
"visible_items": [],
"selected_names": []
},
"notification_settings": [
{
"method": "EMAIL",
"user_ids": [
"<string>"
],
"member_ids": [
"<string>"
]
}
],
"effort": "<string>",
"cron_schedule": "<string>",
"schedule_enabled": true,
"schedule_start_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.example.com/task-templates/{template_id}/"
payload = {
"base_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"instruction": "<string>",
"assignee": "<string>",
"context": {
"entities": [],
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_directory": "<string>",
"workspace_ref": "<string>",
"visible_items": [],
"selected_names": []
},
"notification_settings": [
{
"method": "EMAIL",
"user_ids": ["<string>"],
"member_ids": ["<string>"]
}
],
"effort": "<string>",
"cron_schedule": "<string>",
"schedule_enabled": True,
"schedule_start_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
base_version_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
instruction: '<string>',
assignee: '<string>',
context: {
entities: [],
folder_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
current_directory: '<string>',
workspace_ref: '<string>',
visible_items: [],
selected_names: []
},
notification_settings: [{method: 'EMAIL', user_ids: ['<string>'], member_ids: ['<string>']}],
effort: '<string>',
cron_schedule: '<string>',
schedule_enabled: true,
schedule_start_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.example.com/task-templates/{template_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"instruction": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"schedule_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"assignee": "<string>",
"context": {
"entities": [],
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_directory": "<string>",
"workspace_ref": "<string>",
"visible_items": [],
"selected_names": []
},
"notification_settings": [
{
"method": "EMAIL",
"user_ids": [
"<string>"
],
"member_ids": [
"<string>"
]
}
],
"model": "truestate",
"effort": "<string>",
"cron_schedule": "<string>",
"schedule_start_at": "2023-11-07T05:31:56Z",
"next_run_at": "2023-11-07T05:31:56Z",
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}task-templates
Update Template
PUT
/
task-templates
/
{template_id}
/
Update Template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Show child attributes
Show child attributes
- EmailNotification
- SlackNotification
Show child attributes
Show child attributes
Available options:
truestate, gemini-embedding-001, gemini-2.0-flash, gemini-2.5-flash, gemini-2.5-flash-lite, gemini-2.5-pro, gemini-3-pro-preview, gemini-3-flash-preview, gemini-3.5-flash, gemini-3.5-flash-lite, gemini-3.7-flash, gpt-4.1, gpt-realtime-2.1, gpt-realtime-2.1-mini, gpt-realtime, gpt-4o-mini-transcribe, gpt-5-2025-08-07, gpt-5-mini-2025-08-07, gpt-5-nano-2025-08-07, gpt-5.1-2025-11-13, gpt-5.2-2025-12-11, gpt-5.5, gpt-5.4, gpt-5.4-mini, gpt-5.6-sol, gpt-5.6-terra, gpt-5.6-luna, o4-mini-2025-04-16, claude-3-5-sonnet-latest, claude-3-5-haiku-latest, claude-opus-4-8, claude-opus-4-7, claude-sonnet-5, claude-fable-5, claude-haiku-4-5, grok-beta, grok-3, grok-3-mini, grok-4, grok-4.5, z-ai/glm-5.2, moonshotai/kimi-k2-instruct-0905, openai/gpt-oss-120b, whisper-1 Response
Successful Response
Show child attributes
Show child attributes
- EmailNotification
- SlackNotification
Show child attributes
Show child attributes
Available options:
truestate, gemini-embedding-001, gemini-2.0-flash, gemini-2.5-flash, gemini-2.5-flash-lite, gemini-2.5-pro, gemini-3-pro-preview, gemini-3-flash-preview, gemini-3.5-flash, gemini-3.5-flash-lite, gemini-3.7-flash, gpt-4.1, gpt-realtime-2.1, gpt-realtime-2.1-mini, gpt-realtime, gpt-4o-mini-transcribe, gpt-5-2025-08-07, gpt-5-mini-2025-08-07, gpt-5-nano-2025-08-07, gpt-5.1-2025-11-13, gpt-5.2-2025-12-11, gpt-5.5, gpt-5.4, gpt-5.4-mini, gpt-5.6-sol, gpt-5.6-terra, gpt-5.6-luna, o4-mini-2025-04-16, claude-3-5-sonnet-latest, claude-3-5-haiku-latest, claude-opus-4-8, claude-opus-4-7, claude-sonnet-5, claude-fable-5, claude-haiku-4-5, grok-beta, grok-3, grok-3-mini, grok-4, grok-4.5, z-ai/glm-5.2, moonshotai/kimi-k2-instruct-0905, openai/gpt-oss-120b, whisper-1